Page MenuHomePhabricator

"You may create the page" suggestion does not appear if search contains a question mark
Closed, ResolvedPublic

Description

Compare

Some editors use the search functionality to create new pages so this is annoying for them.

Highlighting existing pages similarly does not work; compare

This is similar to T75355 and T122309 (? seems to mean "any character" even though that does not appear in the documentation).

Event Timeline

Tgr created this task.Jul 6 2016, 5:34 AM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptJul 6 2016, 5:34 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript

I believe that there's some code somewhere that checks to see if a search contains special syntax (for some definition of special syntax), and if it does, then it does not display the "Create this page" suggestion because seeing something like "You may create hastemplate:fa" would probably not be useful. Since ? is presently special syntax, I suspect that's why this is happening.

Tgr added a comment.Jul 18 2016, 3:46 PM

While I think handling a question mark as special character is unfortunate (presumably borrowed from SQL or glob but very few users would be familiar with that), the fundamental problem IMO is our horrible article creation workflow. It makes sense to prompt for article creation after search, but that should not be the primary means of starting articles that is relied on by many power users (on huwiki which has a fairly small editor community we now get a report about this every couple days). That's apparently tracked in T29311: Add a "create a page" interface to MediaWiki core.

debt assigned this task to TJones.Aug 4 2016, 5:27 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.
debt added a subscriber: debt.

we think this will be fixed with today's release but we will double check.

TJones added a comment.Aug 4 2016, 7:47 PM

I just checked this on 6 random wikipedias, and it's working. Here's a link to see it on enwiki.

Tgr closed this task as Resolved.Aug 4 2016, 10:10 PM

Thanks Trey!